Option Explicit On
Module modMain

  Public hDevInstance As Long
  Public sDevSymName As String      ' symbolic name of USB device, example: "UsbI2cIo"

  '
  Public Sub AppInit()
    ' this subroutine performs initialization tasks for the application

    sDevSymName = "UsbI2cIo"                      ' initial device symbolic name
    hDevInstance = INVALID_HANDLE_VALUE           ' initialize file handle

  End Sub

  '
  Public Sub CloseDiHandle()
    If hDevInstance <> INVALID_HANDLE_VALUE Then
      DAPI_CloseDeviceInstance(hDevInstance)
      hDevInstance = INVALID_HANDLE_VALUE
    End If
  End Sub

  Public Function OpenDiHandle() As Boolean
    ' this subroutine will handle opening the current device instance

    ' make sure no handle is currently open
    CloseDiHandle()

    ' now attempt to open handle to device instance
    hDevInstance = DAPI_OpenDeviceInstance(sDevSymName, 0)

    ' test result of function call and flag success or failure
    If (hDevInstance <> INVALID_HANDLE_VALUE) Then
      OpenDiHandle = 1
    Else
      OpenDiHandle = 0
    End If
  End Function
'
End Module
